Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class RangeIndexSpec

    java.lang.Object
      org.exist.storage.RangeIndexSpec

Direct Known Subclasses:
  GeneralRangeIndexSpec, QNameRangeIndexSpec

public abstract class RangeIndexSpec
extends java.lang.Object

Field Summary
`static int` | `BOOLEAN`
`static int` | `DATE_TIME`
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `HAS_VALUE_INDEX_MASK`
`static int` | `HAS_VALUE_OR_MIXED_INDEX_MASK`
`static int` | `INTEGER`
`static int` | `MIXED_CONTENT` Bit is set if the node has mixed content.
`static int` | `NO_INDEX` No index specified
`static int` | `QNAME_INDEX` Indicates that the node has a qname-value index defined on it.
`static int` | `RANGE_INDEX_MASK` Bit mask to extract the type of the range index.
`static int` | `STRING`
`static int` | `TEXT` Bit is set if the node is fulltext indexed.
`static int` | `TEXT_MIXED_CONTENT`

Method Summary
`int` | `getIndexType()` Returns the index type for this index, corresponding to the constants defined in this class.
`int` | `getType()` Returns the XPath type code for this index (as defined in `Type`).
`static boolean` | `hasFulltextIndex(int type)` Returns true if the index type specifier has the fulltext index flag set.
`static boolean` | `hasMixedContent(int type)` Returns true if the index type specifier has the mixed content flag set.
`static boolean` | `hasMixedTextIndex(int type)`
`static boolean` | `hasQNameIndex(int type)`
`static boolean` | `hasQNameOrValueIndex(int type)`
`static boolean` | `hasRangeIndex(int type)` Returns true if the index type bit mask has a range index bit set.
`static int` | `indexTypeToXPath(int type)` For a given index type bit, return the corresponding atomic XPath type (as defined in `Type`).
`static int` | `xpathTypeToIndex(int type)` Returns the index type bit mask corresponding to a given XPath type (as defined in `Type`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_INDEX

    public static final int NO_INDEX

  No index specified

  See Also:
    Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### DATE_TIME

    public static final int DATE_TIME

See Also:
  Constant Field Values

### QNAME_INDEX

    public static final int QNAME_INDEX

  Indicates that the node has a qname-value index defined on it.

  See Also:
    Constant Field Values

### TEXT_MIXED_CONTENT

    public static final int TEXT_MIXED_CONTENT

See Also:
  Constant Field Values

### MIXED_CONTENT

    public static final int MIXED_CONTENT

  Bit is set if the node has mixed content.

  See Also:
    Constant Field Values

### TEXT

    public static final int TEXT

  Bit is set if the node is fulltext indexed.

  See Also:
    Constant Field Values

### RANGE_INDEX_MASK

    public static final int RANGE_INDEX_MASK

  Bit mask to extract the type of the range index.

  See Also:
    Constant Field Values

### HAS_VALUE_INDEX_MASK

    public static final int HAS_VALUE_INDEX_MASK

See Also:
  Constant Field Values

### HAS_VALUE_OR_MIXED_INDEX_MASK

    public static final int HAS_VALUE_OR_MIXED_INDEX_MASK

See Also:
  Constant Field Values

Method Detail

### indexTypeToXPath

    public static final int indexTypeToXPath(int type)

  For a given index type bit, return the corresponding atomic XPath type (as defined in `Type`).

  Parameters:
    `type` - a bit set indicating the type
  Returns:
    atomic XPath type

### hasFulltextIndex

    public static final boolean hasFulltextIndex(int type)

  Returns true if the index type specifier has the fulltext index flag set.

  Parameters:
    `type` - a bit set indicating the type
  Returns:
    true if the index type specifier has the fulltext index flag set.

### hasMixedContent

    public static final boolean hasMixedContent(int type)

  Returns true if the index type specifier has the mixed content flag set.

  Parameters:
    `type` - a bit set indicating the type
  Returns:
    true if the index type specifier has the mixed content flag set.

### xpathTypeToIndex

    public static final int xpathTypeToIndex(int type)

  Returns the index type bit mask corresponding to a given XPath type (as defined in `Type`).

  Parameters:
    `type` - XPath type
  Returns:
    the index type bit mask

### hasRangeIndex

    public static final boolean hasRangeIndex(int type)

  Returns true if the index type bit mask has a range index bit set.

  Parameters:
    `type` - a bit set indicating the type
  Returns:
    True if the index type bit mask has a range index bit set.

### hasQNameIndex

    public static final boolean hasQNameIndex(int type)

### hasQNameOrValueIndex

    public static final boolean hasQNameOrValueIndex(int type)

### hasMixedTextIndex

    public static final boolean hasMixedTextIndex(int type)

### getType

    public int getType()

  Returns the XPath type code for this index (as defined in `Type`).

  Returns:
    XPath type code

### getIndexType

    public int getIndexType()

  Returns the index type for this index, corresponding to the constants defined in this class.

  Returns:
    index type

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.